## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:    dbus-python
Version: 1.4.0
Release: %autorelease
Summary: D-Bus Python Bindings

License: MIT
URL:     http://www.freedesktop.org/wiki/Software/DBusBindings/
Source0: http://dbus.freedesktop.org/releases/dbus-python/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(glib-2.0)
# for %%check
BuildRequires: dbus-x11
BuildRequires: python3-gobject

BuildRequires: gcc
BuildRequires: meson

%global _description\
D-Bus python bindings for use with python programs.

%description %_description

%package -n python3-dbus
Summary: D-Bus bindings for python3
%{?python_provide:%python_provide python3-dbus}
BuildRequires: python3-devel
# for py3_build
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(setuptools-scm)
BuildRequires: python3dist(wheel)
BuildRequires: python3dist(pip)
BuildRequires: python3dist(ninja)
BuildRequires: make

%description -n python3-dbus
%{summary}.

%package devel
Summary: Libraries and headers for dbus-python

%description devel
Headers and static libraries for hooking up custom mainloops to the dbus python
bindings.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%py3_install

%check
%meson_test

%files -n python3-dbus
%doc NEWS
%license COPYING
%{python3_sitearch}/*.so
%{python3_sitearch}/dbus/
%{python3_sitearch}/dbus_python*egg-info

%files devel
%doc README ChangeLog doc/API_CHANGES.txt doc/tutorial.txt
%{_includedir}/dbus-1.0/dbus/dbus-python.h
%{_libdir}/pkgconfig/dbus-python.pc

%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1.4.0-2
- Rebuilt for Python 3.14

* Wed Mar 26 2025 Vojtech Trefny <vtrefny@redhat.com> - 1.4.0-1
- Update to 1.4.0 (#2352473)

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.3.2-8
- Rebuilt for Python 3.13

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Sep 15 2023 Vojtech Trefny <vtrefny@redhat.com> - 1.3.2-5
- License migrated to SPDX

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.3.2-3
- Rebuilt for Python 3.12

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Sep 29 2022 Vojtech Trefny <vtrefny@redhat.com> - 1.3.2-1
- Update to 1.3.2 (#2124688)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.2.18-4
- Rebuilt for Python 3.11

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 20 2021 David King <amigadave@amigadave.com> - 1.2.18-1
- Update to 1.2.18 (#1984073)

* Sun Jun 13 2021 David King <amigadave@amigadave.com> - 1.2.16-10
- Verify GPG signature of sources

* Thu Jun 03 2021 Python Maint <python-maint@redhat.com> - 1.2.16-9
- Rebuilt for Python 3.10

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.16-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 17 2020 Tom Stellard <tstellar@redhat.com> - 1.2.16-7
- Add BuildRequires: make

* Sat Aug 08 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1.2.16-6
- spec: replace hardcorded python3

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 23 2020 Miro Hrončok <miro@hroncok.cz> - 1.2.16-4
- Rebuilt for Python 3.9

* Wed Feb 12 2020 Leigh Scott <leigh123linux@gmail.com> - 1.2.16-3
- Add BuildRequires: glib2-devel

* Wed Feb 12 2020 Leigh Scott <leigh123linux@gmail.com> - 1.2.16-2
- Remove unused BuildRequires: dbus-glib-devel

* Wed Feb 12 2020 Leigh Scott <leigh123linux@gmail.com> - 1.2.16-1
- Update to 1.2.16 (#1788491)

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 16 2020 Miro Hrončok <miro@hroncok.cz> - 1.2.8-10
- Subpackage python2-dbus has been removed

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 1.2.8-9
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Thu Aug 15 2019 Miro Hrončok <miro@hroncok.cz> - 1.2.8-8
- Rebuilt for Python 3.8

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 11 2019 Miro Hrončok <miro@hroncok.cz> - 1.2.8-6
- Hotfix Python 3.8

* Tue Feb 12 2019 Neal Gompa <ngompa13@gmail.com> - 1.2.8-5
- Run setuptools build to generate pythonXdist() metadata (#1663693)

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 16 2018 Miro Hrončok <miro@hroncok.cz> - 1.2.8-2
- Rebuilt for Python 3.7

* Wed May 23 2018 Miro Hrončok <miro@hroncok.cz> - 1.2.8-1
- Update to 1.2.8

* Wed Feb 07 2018 Wolfgang Ulbrich <raveit65@fedoraproject.org> - 1.2.4-23
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
